/* Copyright 1994 GROUPE BULL -- See license conditions in file COPYRIGHT */
/* $Id: KlLibext.h,v 1.2.1.3 95/05/24 14:46:38 leon Exp $ */
#ifndef __KLLIBEXT_H
#define __KLLIBEXT_H

/* This file contains missing prototypes in Kllib.h */
#include <malloc.h>

#ifdef __cplusplus
extern "C" {
#endif



void
KlZrtGc(Int from);

void
KlZrtPut(KlO obj);

int
KlDeclareSelector(int arity,
		  char *name);

int
KlDeclareNewTrait(char *name);

void
KlDeclareSubType(KlType *typep,
		 char *name,
		 KlType parent,
		 int size);


KlO
KlListAppend(KlList list, KlO obj);

void
KlDeclareExtension(
    char *name,				/* name of extension */
    int (*selectors_initfunc)(),	/* init of selectors */
    int (*types_initfunc)(),		/* init of types */
    int (*profile_initfunc)());		/* klone level inits */

int
KlInit();


int
KlFatalError(int code, char *data);


KlO
KlListDeletePos(KlList list, unsigned int i);

KlO
KlListAppendNonKlO(KlList list, KlO obj));

void
KlListDeleteObj(KlList list, KlO o)

#ifdef __cplusplus
} /* Close scope of 'extern "C"' declaration which encloses file. */
#endif




#endif /* __KLLIBEXT_H */
/* DON'T ADD ANYTHING AFTER THIS #endif */
