/* Copyright 1994 GROUPE BULL -- See license conditions in file COPYRIGHT */
/* $Id: misc.h,v 1.3.1.1 95/05/23 11:54:42 leon Exp $ */
#ifndef __MISC_H
#define __MISC_H

/* set defaults for Motif widget */
#ifndef DO_ATHENA_WIDGET
#define DO_MOTIF_WIDGET
#endif

#include <X11/Intrinsic.h>
#include <Kn/kno.h>
#ifdef DO_MOTIF_WIDGET
#include <Kn/KnvasP.h>
#else /*  DO_MOTIF_WIDGET */
#include <Kn/XawKnvasP.h>
#endif


#ifdef __cplusplus
extern "C" {
#endif

void
StringToLower(char *s1, 
	      char *s2);


void
KnDrawSelectedBox(KnTag tag,
		  DrawContext ct,
		  XRectangle *box);



#ifdef __cplusplus
} /* Close scope of 'extern "C"' */
#endif


#endif /* __MISC_H */
