/* Copyright 1994 GROUPE BULL -- See license conditions in file COPYRIGHT */
/* $Id: Template.c,v 1.2.1.1 95/04/11 18:50:58 leon Exp $ */

#include "Template.h"

void
KnTemplateInit(KnTemplate obj,
	      Widget knvas,
	      KnO parent,
	       ...
	      )
{
    SuperClassInit((KnO)obj, knvas, parent, ... )
    /* private initializations */
}

KnO
KnCreateTemplate(Widget knvas,
	      KnO parent,
	      )
{
    KnTemplate obj;
    obj = (KnTemplate)KlOMake(KnTemplateClass);
    KnTemplateInit(obj, knvas, parent, ...)
    return (KnO)obj;
}


/* type desc */
KlType KnTemplateClass;

/* new selectors */
Selector KnOSelNewMethod;


/* DECLARE NEW SELECTORS HERE */
void
KnTemplateImport()
{

    KnOSelNewMEthod      = KlDeclareSelector(1, "newmethod");	
}





/* CLASS INITIALIZATIONS FOR KnNewClass OBJECTS */
void
KnTemplateClassInitialize()
{
     /* DECLARE  TYPES */
    KlDeclareSubType(&KnTemplateClass, "KnTemplate", KnOClass, sizeof(struct KnTemplateStruct));

    /* declare methods */
    KlDeclareMethod(KnTemplateClass, KnOSelNewMethod, KnTemplateNewMethod);

}
