#include <stdio.h>
#include "pcache.h"




#include <X11/Intrinsic.h>
#include <X11/StringDefs.h>





void
Draw(Widget w, XtPointer client, XEvent *e, Boolean *cont)
{
    PCacheAttributesStruct values;
    Display *dpy = XtDisplay(w);
    PCachePixmap pcp = (PCachePixmap)client, pcp2, pcp3, pcp4;
    XCopyArea(dpy, pcp->pixmap, XtWindow(w),
	      DefaultGC(dpy, 0), 0, 0, 100, 100, 0, 0);

    values.valuemask = 0;
    pcp2 =
	PCacheGetPixmap("or", DefaultScreenOfDisplay(dpy), &values);
    XFlush(dpy);
}



XtAppContext app_context;
Display *Dpy;
Widget toplevel;

main(int argc, char **argv)
{
    PCacheAttributesStruct values;
    PCachePixmap pcp;
    toplevel = XtAppInitialize(&app_context, NULL, NULL, 0, &argc, argv,
			       NULL, NULL, 0);

    Dpy = XtDisplay(toplevel);

    values.valuemask = 0;
    pcp =
	PCacheGetPixmap("or", DefaultScreenOfDisplay(Dpy), &values);

    if(pcp) {
	fprintf(stderr, "found pixmap (%d,%d) scaled to (%d,%d)\n",
		values.o_width, values.o_height,
		values.width, values.height);
    }

    XtAddEventHandler(toplevel, ExposureMask, False, Draw, pcp);
    XtRealizeWidget(toplevel);
    XtAppMainLoop(app_context);
}

