/* Copyright (c) 1995 by Groupe Bull.  All Rights Reserved */
/* $Id:$ */


#include <stdio.h>
#include <Kn/Knvas.h>
#include <X11/Shell.h>





void
SelectCB(Widget wid, XtPointer client, XtPointer call)
{
    KnLabel label;
    InteractorCallbackStruct *cs = (InteractorCallbackStruct *)call;
    label = (KnLabel)cs->target;
    fprintf(stderr, "ouch %s\n", label ? label->s : "no target");
}



int
main(int argc, char *argv[])
{
    XtAppContext context;
    KnInteractor selectI;
    Widget toplevel, knvas;
    KnO layer, kno;
    


    toplevel = XtAppInitialize(&context, "KSample", 0, 0,
			       &argc, argv, 0, 0, 0);

    knvas = 
	XtVaCreateManagedWidget("selection", knvasWidgetClass, toplevel,
				NULL);
    layer = KnCreateLayer(knvas);

    selectI = KnCreateSelectInteractor(knvas, "si1");


    kno = KnCreateLabel(knvas, layer, 50, 0, "Label 1");
    KnSetInteractor(knvas, kno, selectI);
    KnAddCallback(knvas, kno, XtNinteractorCallback, SelectCB, NULL);
    kno = KnCreateLabel(knvas, layer, 50, 30, "Label 2");
    kno = KnCreateLabel(knvas, layer, 50, 60, "Label 3");
    KnSetInteractor(knvas, kno, selectI);
    KnAddCallback(knvas, kno, XtNinteractorCallback, SelectCB, NULL);

    XtRealizeWidget(toplevel);
    XtAppMainLoop(context);
}
